
QGIS Application - Bug report #4102

Zoom to layer extent only considers the first part of a multipolygon

2011-07-20 01:24 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14084

Description

Just what the subject says.

Note that zoom to selection does work with multipolygons.

Associated revisions

Revision 7e3dc30c - 2015-12-04 06:52 AM - Nyall Dawson

Fix bounding box calculation of geometry collections, fix #4102

History

#1 - 2011-07-20 01:37 AM - Alister Hood

This bug also affects "zoom full".

#2 - 2011-07-21 10:43 AM - Marco Hugentobler

Could you attach a file where zoom to layer does not work as expected?

I've tested it here and zoom to layer did not work properly after adding a multipolygon and saving. However, after reloading the layer, zoom to layer worked

again. So it might be a problem with the update of the provider extent after commiting edits.

#3 - 2011-07-22 03:40 AM - Alister Hood

I've tested it here and zoom to layer did not work properly after adding a multipolygon and saving. However, after reloading the layer, zoom to layer

worked again. So it might be a problem with the update of the provider extent after commiting edits.

You are right - it works after reloading the layer.

#4 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#5 - 2012-04-16 06:28 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No
- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#8 - 2015-12-03 08:27 AM - Médéric RIBREUX

Hello, bug triage...

this is still true in QGIS 2.13...

#9 - 2015-12-03 09:53 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"7e3dc30cbf692e768f073c3b4aac160ee36a857a".
